# Generated by Django 3.2.2 on 2021-05-18 10:56

from django.db import migrations, models
import django.db.models.deletion
import juntagrico.entity


class Migration(migrations.Migration):

    replaces = [('juntagrico_billing', '0001_initial'), ('juntagrico_billing', '0002_auto_20200501_1017'), ('juntagrico_billing', '0003_auto_20201025_1739'), ('juntagrico_billing', '0004_auto_20201031_1823'), ('juntagrico_billing', '0005_auto_20201031_2329'), ('juntagrico_billing', '0006_auto_20201103_1521'), ('juntagrico_billing', '0007_bill_notification_sent'), ('juntagrico_billing', '0008_bill_item_type'), ('juntagrico_billing', '0009_payment_unique_id'), ('juntagrico_billing', '0010_pre_1_4'), ('juntagrico_billing', '0011_data_1_4'), ('juntagrico_billing', '0012_post_1_4')]

    initial = True

    dependencies = [
        ('juntagrico', '0033_post_1_4'),
    ]

    operations = [
        migrations.CreateModel(
            name='BusinessYear',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_date', models.DateField(unique=True, verbose_name='Startdatum')),
                ('name', models.CharField(blank=True, max_length=20, null=True, unique=True, verbose_name='Name')),
                ('end_date', models.DateField(verbose_name='Enddatum')),
            ],
            options={
                'verbose_name': 'Geschäftsjahr',
                'verbose_name_plural': 'Geschäftsjahre',
            },
            bases=(models.Model, juntagrico.entity.OldHolder),
        ),
        migrations.CreateModel(
            name='SubscriptionTypeAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('account', models.CharField(max_length=100, verbose_name='Konto')),
                ('subscriptiontype', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='subscriptiontype_account', to='juntagrico.subscriptiontype')),
            ],
        ),
        migrations.CreateModel(
            name='MemberAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('account', models.CharField(max_length=100, verbose_name='Konto')),
                ('member', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='member_account', to='juntagrico.member')),
            ],
        ),
        migrations.CreateModel(
            name='Bill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bill_date', models.DateField(verbose_name='Rechungsdatum')),
                ('amount', models.FloatField(default=0.0, verbose_name='Betrag')),
                ('public_notes', models.TextField(blank=True, null=True, verbose_name='Notizen sichtbar für Mitglieder')),
                ('private_notes', models.TextField(blank=True, null=True, verbose_name='Notizen nicht sichtbar für Mitglieder')),
                ('business_year', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bills', to='juntagrico_billing.businessyear', verbose_name='Geschäftsjahr')),
                ('booking_date', models.DateField(verbose_name='Buchungsdatum')),
                ('member', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bills', to='juntagrico.member', verbose_name='Mitglied')),
                ('paid', models.BooleanField(default=False, verbose_name='Bezahlt')),
                ('notification_sent', models.BooleanField(default=False, verbose_name='Benachrichtigung versandt')),
            ],
            options={
                'verbose_name': 'Rechnung',
                'verbose_name_plural': 'Rechnungen',
            },
            bases=(models.Model, juntagrico.entity.OldHolder),
        ),
        migrations.CreateModel(
            name='PaymentType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('iban', models.CharField(blank=True, max_length=30, null=True, verbose_name='IBAN')),
                ('name', models.CharField(blank=True, max_length=50, null=True, verbose_name='Name')),
                ('booking_account', models.CharField(max_length=10, verbose_name='Buchungskonto')),
            ],
            options={
                'abstract': False,
                'verbose_name': 'Zahlungstyp',
                'verbose_name_plural': 'Zahlungstypen',
            },
            bases=(models.Model, juntagrico.entity.OldHolder),
        ),
        migrations.CreateModel(
            name='Settings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('debtor_account', models.CharField(max_length=10, verbose_name='Debitor-Konto')),
                ('default_paymenttype', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='juntagrico_billing.paymenttype')),
            ],
            options={
                'verbose_name_plural': 'Settings',
            },
        ),
        migrations.CreateModel(
            name='BillItemType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Name')),
                ('booking_account', models.CharField(max_length=10, verbose_name='Buchungskonto')),
            ],
            options={
                'verbose_name': 'Rechnungsextra Typ',
                'verbose_name_plural': 'Rechnungsextra Typen',
            },
            bases=(models.Model, juntagrico.entity.OldHolder),
        ),
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('paid_date', models.DateField(blank=True, null=True, verbose_name='Zahlungsdatum')),
                ('amount', models.FloatField(default=0.0, verbose_name='Betrag')),
                ('private_notes', models.TextField(blank=True, null=True, verbose_name='Notizen nicht sichtbar für Mitglieder')),
                ('bill', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='payments', to='juntagrico_billing.bill', verbose_name='Rechnung')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='payments', to='juntagrico_billing.paymenttype', verbose_name='Zahlungstyp')),
                ('unique_id', models.CharField(blank=True, max_length=50, null=True, unique=True, verbose_name='Eindeutige Id')),
            ],
            options={
                'verbose_name': 'Zahlung',
                'verbose_name_plural': 'Zahlungen',
            },
            bases=(models.Model, juntagrico.entity.OldHolder),
        ),
        migrations.CreateModel(
            name='BillItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(blank=True, max_length=100, verbose_name='Beschreibung')),
                ('amount', models.FloatField(default=0.0, verbose_name='Betrag')),
                ('bill', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='juntagrico_billing.bill', verbose_name='Rechnung')),
                ('custom_item_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='bill_items', to='juntagrico_billing.billitemtype', verbose_name='Extra Typ')),
                ('subscription_part', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='bill_items', to='juntagrico.subscriptionpart', verbose_name='Abo Bestandteil')),
            ],
            options={
                'abstract': False,
                'verbose_name': 'Rechungsbestandteil',
                'verbose_name_plural': 'Rechungsbestandteile',
            },
            bases=(models.Model, juntagrico.entity.OldHolder),
        ),
    ]
